- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
error.h File Reference
Exceptions
`#include <exception>`
`#include <string>`
`#include <sstream>`
`#include <iostream>`
`#include <cstdlib>`
`#include <memory>`

## Classes
class | Exception
| Generic exception class. More...
class | IoError
| Input-Output error. More...
class | FormatError
| Format error. More...

## Namespaces
| lemon
| The namespace of LEMON.